apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: api
  name: api
spec:
  replicas: 1
  selector:
    matchLabels:
      app: api
  template:
    metadata:
      labels:
        app: api
    spec:
      containers:
      - image: registry.gitlab.com/pkng-demos-bar/my-k8s/mygitops/awesome-co/services/api/main:latest
        name: api
        resources:
            limits:
              memory: 128Mi
              cpu: 100m
            requests:
              cpu: 70m
              memory: 64Mi
